create temporary table gene_lengths as
select gene_id, seq_region_end - seq_region_start + 1 as gene_length, biotype
  from gene
       left join seq_region contigs
              on contigs.seq_region_id = gene.seq_region_id
       left join assembly
              on assembly.cmp_seq_region_id = contigs.seq_region_id
       left join seq_region clones
              on clones.seq_region_id = assembly.asm_seq_region_id
       left join seq_region_attrib
              on seq_region_attrib.seq_region_id = clones.seq_region_id
  where seq_region_attrib.value = 'current';
insert into gene_lengths
select gene_id, seq_region_end - seq_region_start + 1 as gene_length, biotype
from gene
     left join seq_region clones
            on clones.seq_region_id = gene.seq_region_id
     left join seq_region_attrib
            on seq_region_attrib.seq_region_id = clones.seq_region_id
where seq_region_attrib.value = 'current';  
  
create temporary table tmp
   (id int auto_increment primary key)
   select gene_length as value
     from gene_lengths where biotype = 'protein_coding'
    order by value;
select @count := count(*) from tmp;
select 'protein_coding', avg(value) as median_length
 from (
select distinct value
 from tmp
where id in (floor((@count+1)/2), ceil((@count+1)/2))
) a;
drop table tmp;

create temporary table tmp
   (id int auto_increment primary key)
   select gene_length as value
     from gene_lengths where biotype = 'protein_coding_unsupported'
    order by value;
select @count := count(*) from tmp;
select 'protein_coding_unsupported', avg(value) as median_length
 from (
select distinct value
 from tmp
where id in (floor((@count+1)/2), ceil((@count+1)/2))
) a;
drop table tmp;

create temporary table tmp
   (id int auto_increment primary key)
   select gene_length as value
     from gene_lengths where biotype = 'transposon_pseudogene'
    order by value;
select @count := count(*) from tmp;
select 'transposon_pseudogene', avg(value) as median_length
 from (
select distinct value
 from tmp
where id in (floor((@count+1)/2), ceil((@count+1)/2))
) a;
drop table tmp;

create temporary table tmp
   (id int auto_increment primary key)
   select gene_length as value
     from gene_lengths where biotype = 'evidence-gene'
    order by value;
select @count := count(*) from tmp;
select 'evidence-gene', avg(value) as median_length
 from (
select distinct value
 from tmp
where id in (floor((@count+1)/2), ceil((@count+1)/2))
) a;
drop table tmp;
